summaryrefslogtreecommitdiff
path: root/release/deploy-github.sh
diff options
context:
space:
mode:
Diffstat (limited to 'release/deploy-github.sh')
-rwxr-xr-xrelease/deploy-github.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/release/deploy-github.sh b/release/deploy-github.sh
new file mode 100755
index 00000000..42a984c4
--- /dev/null
+++ b/release/deploy-github.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+trap 'exit 1' SIGINT SIGTERM
+
+[ -z "$(command -v hub)" ] && { echo "hub not installed; aborting!"; exit 1; }
+TAG="${1}"
+hub tag -afs "${TAG:?}"
+gradle clean bundleRelease assembleRelease
+hub release create "${TAG}" -a app/build/outputs/apk/release/aps_"${TAG}".apk